<script setup lang="ts">

import Repository from "@/entities/Repository/Repository";
import TabPanel from "primevue/tabpanel";
import TabView from "primevue/tabview";
import RepositoryInstanceTab from "@/components/pages/Repository/show/RepositoryInstanceTab.vue";
import RepositoryMRTab from "@/components/pages/Repository/show/RepositoryMRTab.vue";
import {ref} from "vue";
import RepositorySubModulesTab from "@/components/pages/Repository/show/RepositorySubModulesTab.vue";
import RepositoryVersionTab from "@/components/pages/Repository/show/RepositoryVersionTab.vue";
import RepositoryParentModulesTab from "@/components/pages/Repository/show/RepositoryParentModulesTab.vue";

const props = defineProps<{ repository: Repository }>();
const active = ref(0);
</script>

<template>
  <TabView class="grow"  v-model:activeIndex="active">
    <TabPanel header="Versions">
      <RepositoryVersionTab :repository="repository"/>
    </TabPanel>
    <TabPanel header="Instances">
      <RepositoryInstanceTab :repository="repository"/>
    </TabPanel>
    <TabPanel header="Sous modules">
      <RepositorySubModulesTab :repository="repository"/>
    </TabPanel>
    <TabPanel header="Modules parents">
      <RepositoryParentModulesTab :repository="repository"/>
    </TabPanel>
    <TabPanel header="MR/PR à traiter">
      <RepositoryMRTab :repository="repository" v-if="active === 4"/>
    </TabPanel>
  </TabView>
</template>